Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLObjectElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLObjectElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, Element, EventTarget, HTMLElement, HTMLFormControl, HTMLObjectElement, Node, NodeList, java.io.Serializable

public final class HTMLObjectElementImpl
extends HTMLElementImpl
implements HTMLObjectElement, HTMLFormControl

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:11 $
See Also:
  `HTMLObjectElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLObjectElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`java.lang.String` | `getArchive()` Space-separated list of archives.
`java.lang.String` | `getBorder()` Width of border around the object.
`java.lang.String` | `getCode()` Applet class file.
`java.lang.String` | `getCodeBase()` Base URI for `classid` , `data` , and `archive` attributes.
`java.lang.String` | `getCodeType()` Content type for data downloaded via `classid` attribute.
`java.lang.String` | `getData()` A URI specifying the location of the object's data.
`boolean` | `getDeclare()` Declare (for future reference), but do not instantiate, this object.
`java.lang.String` | `getHeight()` Override height.
`java.lang.String` | `getHspace()` Horizontal space to the left and right of this image, applet, or object.
`java.lang.String` | `getName()` Form control or object name when submitted with a form.
`java.lang.String` | `getStandby()` Message to render while loading the object.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getType()` Content type for data downloaded via `data` attribute.
`java.lang.String` | `getUseMap()` Use client-side image map.
`java.lang.String` | `getVspace()` Vertical space above and below this image, applet, or object.
`java.lang.String` | `getWidth()` Override width.
`void` | `setAlign(java.lang.String align)`
`void` | `setArchive(java.lang.String archive)`
`void` | `setBorder(java.lang.String border)`
`void` | `setCode(java.lang.String code)`
`void` | `setCodeBase(java.lang.String codeBase)`
`void` | `setCodeType(java.lang.String codeType)`
`void` | `setData(java.lang.String data)`
`void` | `setDeclare(boolean declare)`
`void` | `setHeight(java.lang.String height)`
`void` | `setHspace(java.lang.String hspace)`
`void` | `setName(java.lang.String name)`
`void` | `setStandby(java.lang.String standby)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setType(java.lang.String type)`
`void` | `setUseMap(java.lang.String useMap)`
`void` | `setVspace(java.lang.String vspace)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLObjectElement
`getForm`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### HTMLObjectElementImpl

    public HTMLObjectElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getCode

    public java.lang.String getCode()

  Description copied from interface: `HTMLObjectElement`
  Applet class file. See the `code` attribute for HTMLAppletElement.
  Specified by:
    `getCode` in interface `HTMLObjectElement`

### setCode

    public void setCode(java.lang.String code)

  Specified by:
    `setCode` in interface `HTMLObjectElement`

### getAlign

    public java.lang.String getAlign()

  Description copied from interface: `HTMLObjectElement`
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    `getAlign` in interface `HTMLObjectElement`

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `HTMLObjectElement`

### getArchive

    public java.lang.String getArchive()

  Description copied from interface: `HTMLObjectElement`
  Space-separated list of archives. See the archive attribute definition in HTML 4.0.
  Specified by:
    `getArchive` in interface `HTMLObjectElement`

### setArchive

    public void setArchive(java.lang.String archive)

  Specified by:
    `setArchive` in interface `HTMLObjectElement`

### getBorder

    public java.lang.String getBorder()

  Description copied from interface: `HTMLObjectElement`
  Width of border around the object. See the border attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    `getBorder` in interface `HTMLObjectElement`

### setBorder

    public void setBorder(java.lang.String border)

  Specified by:
    `setBorder` in interface `HTMLObjectElement`

### getCodeBase

    public java.lang.String getCodeBase()

  Description copied from interface: `HTMLObjectElement`
  Base URI for `classid` , `data` , and `archive` attributes. See the codebase attribute definition in HTML 4.0.
  Specified by:
    `getCodeBase` in interface `HTMLObjectElement`

### setCodeBase

    public void setCodeBase(java.lang.String codeBase)

  Specified by:
    `setCodeBase` in interface `HTMLObjectElement`

### getCodeType

    public java.lang.String getCodeType()

  Description copied from interface: `HTMLObjectElement`
  Content type for data downloaded via `classid` attribute. See the codetype attribute definition in HTML 4.0.
  Specified by:
    `getCodeType` in interface `HTMLObjectElement`

### setCodeType

    public void setCodeType(java.lang.String codeType)

  Specified by:
    `setCodeType` in interface `HTMLObjectElement`

### getData

    public java.lang.String getData()

  Description copied from interface: `HTMLObjectElement`
  A URI specifying the location of the object's data. See the data attribute definition in HTML 4.0.
  Specified by:
    `getData` in interface `HTMLObjectElement`

### setData

    public void setData(java.lang.String data)

  Specified by:
    `setData` in interface `HTMLObjectElement`

### getDeclare

    public boolean getDeclare()

  Description copied from interface: `HTMLObjectElement`
  Declare (for future reference), but do not instantiate, this object. See the declare attribute definition in HTML 4.0.
  Specified by:
    `getDeclare` in interface `HTMLObjectElement`

### setDeclare

    public void setDeclare(boolean declare)

  Specified by:
    `setDeclare` in interface `HTMLObjectElement`

### getHeight

    public java.lang.String getHeight()

  Description copied from interface: `HTMLObjectElement`
  Override height. See the height attribute definition in HTML 4.0.
  Specified by:
    `getHeight` in interface `HTMLObjectElement`

### setHeight

    public void setHeight(java.lang.String height)

  Specified by:
    `setHeight` in interface `HTMLObjectElement`

### getHspace

    public java.lang.String getHspace()

  Description copied from interface: `HTMLObjectElement`
  Horizontal space to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    `getHspace` in interface `HTMLObjectElement`

### setHspace

    public void setHspace(java.lang.String hspace)

  Specified by:
    `setHspace` in interface `HTMLObjectElement`

### getName

    public java.lang.String getName()

  Description copied from interface: `HTMLObjectElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.
  Specified by:
    `getName` in interface `HTMLObjectElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `HTMLObjectElement`

### getStandby

    public java.lang.String getStandby()

  Description copied from interface: `HTMLObjectElement`
  Message to render while loading the object. See the standby attribute definition in HTML 4.0.
  Specified by:
    `getStandby` in interface `HTMLObjectElement`

### setStandby

    public void setStandby(java.lang.String standby)

  Specified by:
    `setStandby` in interface `HTMLObjectElement`

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `HTMLObjectElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.
  Specified by:
    `getTabIndex` in interface `HTMLObjectElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    `setTabIndex` in interface `HTMLObjectElement`

### getType

    public java.lang.String getType()

  Description copied from interface: `HTMLObjectElement`
  Content type for data downloaded via `data` attribute. See the type attribute definition in HTML 4.0.
  Specified by:
    `getType` in interface `HTMLObjectElement`

### setType

    public void setType(java.lang.String type)

  Specified by:
    `setType` in interface `HTMLObjectElement`

### getUseMap

    public java.lang.String getUseMap()

  Description copied from interface: `HTMLObjectElement`
  Use client-side image map. See the usemap attribute definition in HTML 4.0.
  Specified by:
    `getUseMap` in interface `HTMLObjectElement`

### setUseMap

    public void setUseMap(java.lang.String useMap)

  Specified by:
    `setUseMap` in interface `HTMLObjectElement`

### getVspace

    public java.lang.String getVspace()

  Description copied from interface: `HTMLObjectElement`
  Vertical space above and below this image, applet, or object. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    `getVspace` in interface `HTMLObjectElement`

### setVspace

    public void setVspace(java.lang.String vspace)

  Specified by:
    `setVspace` in interface `HTMLObjectElement`

### getWidth

    public java.lang.String getWidth()

  Description copied from interface: `HTMLObjectElement`
  Override width. See the width attribute definition in HTML 4.0.
  Specified by:
    `getWidth` in interface `HTMLObjectElement`

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    `setWidth` in interface `HTMLObjectElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD